#

Function ARRAY-RANK

Syntax:

array-rank array => rank

Arguments and Values:

array---an array.

rank---a non-negative integer.

Description:

Returns the number of dimensions of array.

Examples:

     (array-rank (make-array '())) =>  0
     (array-rank (make-array 4)) =>  1
     (array-rank (make-array '(4))) =>  1
     (array-rank (make-array '(2 3))) =>  2

Affected By: None.

Exceptional Situations:

Should signal an error of type type-error if its argument is not an array.

See Also:

array-rank-limit, make-array

Notes: None.

Copyright 1996-2005, LispWorks Ltd. All rights reserved.